package com.ym.mec.auth.api.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_role_menu):
 */
public class SysRoleMenu {

	/** 角色ID */
	@ApiModelProperty(value = "角色ID",required = false)
	private Integer roleId;
	
	/** 菜单ID */
	@ApiModelProperty(value = "菜单ID",required = false)
	private Integer menuId;

	public SysRoleMenu(Integer roleId, Integer menuId) {
		this.roleId = roleId;
		this.menuId = menuId;
	}

	public SysRoleMenu() {
	}

	public void setRoleId(Integer roleId){
		this.roleId = roleId;
	}
	
	public Integer getRoleId(){
		return this.roleId;
	}
			
	public void setMenuId(Integer menuId){
		this.menuId = menuId;
	}
	
	public Integer getMenuId(){
		return this.menuId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
